@import "../../../../shared/styles/_breakpoints.scss";

.proposal-item{
	padding: 15px;
	border-bottom: solid 1px #eaeaea;
	display: flex;
	width: 100%;
	overflow: hidden;

	&.closed .proposal-item__title{
		color: #999;
	}

	.proposal-item__col{
		display: flex;
		min-height: 30px;
		align-items: center;
	}

	.proposal-item__col--middle {
		padding: 0 10px;
	}

	.proposal-item__title{
		display: inline-block;
		color: #000;
	}

	.proposal-item__moreinfo{
		display: block;
		font-size: 13px;
		color: #999;
	}

	zs-icon{
		color: #999;
		font-size: 18px;
		line-height: 10px;
	}

	.proposal-item__col--last{
		margin-left: auto;
		color: #999;
		font-size: 13px;
	}

	.proposal-item__noteicon{
		margin-right: 10px;
	}

}

.proposal-item-table{
    table-layout: fixed;

	thead{
		background: #e4e4e4;
		border-bottom: 0;
	}

	tbody tr:hover{
		background: #f5f5f5;
	}

	th {
		padding: 7px 15px;
		border-radius: 0;
		vertical-align: top;
		width: 15%;
		cursor: pointer;

		&:hover{
			background: #ddd;
		}

		&.small{
			width: 10%;
		}

		&.medium{
			width: 13%;
		}

		&.wide{
			width: auto;
		}

		.proposal-list__table-header-label {
			font-size: .84rem;
			color: rgb(160,160,160);
			text-transform: capitalize;
			font-weight: 500;
			display: flex;
			&.sorted-on, &:hover{
				cursor: pointer;
			}
			&.sorted-on{
				color:black;
			}
		}

		.proposal-list__table-header-label-value {
			white-space: nowrap;
			text-overflow: ellipsis;
			overflow: hidden;
			max-width: 100%;
		}

		zs-icon{
			min-width: 15px;
			min-height: 18px;
			display: inline-block;
		}
	}

	tr {
		cursor: pointer;

		&:hover{

			.proposal__number{
				background: #d61a14;
				color: #fff;
			}
		}

		&.closed td {
			color: #999;
		}

		td {
			padding: 18px 15px;
			font-size:1.067rem;
			border-bottom: solid 1px rgb(221,221,221);
			border-radius: 0;
			vertical-align: top;
			white-space: normal;

			&:first-letter{
				text-transform: capitalize;
			}

			ul{
				margin: 0;
				li{
					list-style: disc;
					margin-left: 20px;
				}
			}

			i {
				color: #999;
			}
		}
	}

	p{
		margin: 0;
	}
}

.proposal__number{
	display: inline-block;
	background: rgb(230,230,230);
	color: #000;
	border-radius: 100%;
	min-width: 30px;
	min-height: 30px;
	line-height: 30px;
	text-align: center;
}

@media (max-width: $small-screen) {
	.proposal__number{
		margin-top:0;
		margin-right: 5px;
	}
}
